"""
Main Flask-based app for Slinky
"""
from flask import Flask, render_template
from flask_bootstrap import Bootstrap

from slinky.web import protect, slinky_webapp

app = Flask(__name__)
app.register_blueprint(slinky_webapp)

Bootstrap(app)


@app.route('/')
@protect
def index() -> str:
    """
    Index/Landing page

    Returns:
        str: string of page content
    """
    return render_template('index.html')
